#include <stdio.h>
int pr(long long n);

int main() {
    long long int x,i;
    printf("Num: ");
    if(!(scanf("%lld",&x)))return 1;

    for(i = x; i > 1; --i)
        if(pr(i))
            printf("%lld\t",i);

    return 0;
}

int pr(long long n) {
    if (n < 2) return 0;
    if (n == 2 || n == 3) return 1;
    if (n % 2 == 0 || n % 3 == 0) return 0;

    for (long long i = 5; i * i <= n; i += 6) {
        if (n % i == 0 || n % (i + 2) == 0)
            return 0;}
    return 1;
}
